Show / Hide Table of Contents

# Class TaskResult<T>

Mimic a Task<T> but you can set AsyncState

##### Inheritance

Object
TaskResult<T>

##### Implements

IAsyncResult

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TaskResult<T> : IAsyncResult

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### TaskResult(Task<T>, Object)

##### Declaration

    public TaskResult(Task<T> pTask, object state)

##### Parameters

Type | Name | Description
--- | --- | ---
Task<T> | pTask |
Object | state |

### Properties

| Improve this Doc View Source

#### AsyncState

##### Declaration

    public object AsyncState { get; }

##### Property Value

Type | Description
--- | ---
Object |

| Improve this Doc View Source

#### AsyncWaitHandle

##### Declaration

    public WaitHandle AsyncWaitHandle { get; }

##### Property Value

Type | Description
--- | ---
WaitHandle |

| Improve this Doc View Source

#### CompletedSynchronously

##### Declaration

    public bool CompletedSynchronously { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsCompleted

##### Declaration

    public bool IsCompleted { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Result

##### Declaration

    public T Result { get; }

##### Property Value

Type | Description
--- | ---
T |

### Implements

System.IAsyncResult